/*--------------------------------------------------------------------------*\
| TESS-DEF.C                                                                 |
\*--------------------------------------------------------------------------*/

/*
  Beyond The Tesseract
    - adventure world definition
*/

#include "adv-def.h"
#include "tess-def.h"

/*--------------------------------------------------------------------------*\
| Location                                                                   |
\*--------------------------------------------------------------------------*/

room_type room [ MaxLocs ] =
{
  /*  0 */ { "in the adventure storage room" ,  0,0,0,0 },
  /*  1 */ { "in a green house" ,  0,0,2,7 },
  /*  2 */ { "in a researcher's office" ,  1,0,0,8 },
  /*  3 */ { "on the contradicting premises of a deduction" ,  5,0,0,0 },
  /*  4 */ { "in a mirrored hall" ,  0,11,9,10 },
  /*  5 */ { "at the origin" ,  14,16,3,15 },
  /*  6 */ { "in a spectral vortex" ,    0,0,19,0 },
  /*  7 */ { "in a library" ,  0,1,8,0 },
  /*  8 */ { "in a cryogenic lab" ,  7,2,0,0 },
  /*  9 */ { "in a glass sphere" ,  4,0,0,0 },
  /* 10 */ { "in a hall of mirrors" ,  12,4,0,0 },
  /* 11 */ { "in a mirror hallway" ,  13,0,0,4 },
  /* 12 */ { "in a chamber of crystal" ,  0,0,10,0 },
  /* 13 */ { "in a transparent vault" ,  0,0,11,0 },
  /* 14 */ { "at the infinite point" ,  0,0,5,0 },
  /* 15 */ { "in a set of all sets that's not a member of itself",  0,5,0,0 },
  /* 16 */ { "by a field of absolute certainty" ,  0,0,0,5 },
  /* 17 */ { "in n-dimensional space" ,  0,0,0,16 },
  /* 18 */ { "in an ocean of magnetic monopoles",  0,19,21,0 },
  /* 19 */ { "in a sea of radio frequencies" ,  6,20,22,18 },
  /* 20 */ { "in an ionic storm",  0,0,0,19 },
  /* 21 */ { "in a scintillating shower of light",  18,22,0,0 },
  /* 22 */ { "in a chromatic whirlpool of infrared to ultraviolet" ,  19,0,0,21 },
  /* 23 */ { "in inner space" ,  0,24,26,0 },
  /* 24 */ { "at the outer limits" ,  0,25,0,23 },
  /* 25 */ { "in the twilight of thought" ,  0,0,28,24 },
  /* 26 */ { "beyond the edge of forever" ,  23,27,0,0 },
  /* 27 */ { "at the brink of time" ,  0,28,0,26 },
  /* 28 */ { "in the shadow of tomorrow" ,  25,0,0,27 },
  /* 29 */ { "in an alien atheneum" ,  30,0,0,0 },
  /* 30 */ { "in the dimensia chamber" ,  0,0,29,0 },
  /* 31 */ { "in point-land" ,  0,0,29,0 },
  /* 32 */ { "in line-land",  0,0,29,0 },
  /* 33 */ { "in plane-land",  0,0,29,0 },
  /* 34 */ { "in sphere-land",  0,0,29,0 },
  /* 35 */ { "in an abyss of non-existence.  Shadows spellout 'Reasons and Answers'",  0,0,0,0 },
};


/*----------------------------*/
/* objects
*/
object_type obj [ MaxObjs ] =
{
  /*  0 */ "", 0,0, 0,
  /*  1 */ "north" , 0, 0, 0,
  /*  2 */ "east" , 0, 0, 0,
  /*  3 */ "south" , 0, 0, 0,
  /*  4 */ "west" , 0, 0, 0,
  /*  5 */ "inventory" , 0, 0, 0,
  /*  6 */ "a large circular reflector" , 1, 4, 0,
  /*  7 */ "a CRT" , 2, 4, 0,
  /*  8 */ "a hyper-plant-being" , 9, 6, 0,
  /*  9 */ "a group" , 14, 6, 0,
  /* 10 */ "a hole in the argument" , 3, 4, 0,
  /* 11 */ "a dimension projector" , 30, 4, 0,
  /* 12 */ "some buttons" , -9, 4, 0,
  /* 13 */ "zero" , -7, 0, 0,
  /* 14 */ "one" , -7, 0, 0,
  /* 15 */ "two" , -7, 0, 0,
  /* 16 */ "three" , -7, 0, 0,
  /* 17 */ "four" , -7, 0, 0,
  /* 18 */ "fractal" , -9, 0, 0,
  /* 19 */ "chaos" , 31, 4, 0,
  /* 20 */ "some Fatou dust" , 32, 4, 0,
  /* 21 */ "a von Koch snowflake" , 33, 4, 0,
  /* 22 */ "Mount Mandelbrot" , 34, 4, 0,
  /* 23 */ "a tombstone" , 34, 4, 0,
  /* 24 */ "a stack" , -1, 5, 0,
  /* 25 */ "an audio transmutator" , 11, 5, 0,
  /* 26 */ "a book" , 7, 5, 0,
  /* 27 */ "some Z-pills" , 8, 1, 0,
  /* 28 */ "a pool of bubbling fluid" , 8, 2, 0,
  /* 29 */ "a Klein bottle" , 0, 5, 0,
  /* 30 */ "a prism" , 12, 5, 0,
  /* 31 */ "a _y_ing apparatus" , 13, 5, 0,
  /* 32 */ "an infinite improbability" , 15, 7, 0,
  /* 33 */ "a mobius strip" , 5, 1, 0,
  /* 34 */ "a Riemann zeta integral" , 17, 5, 0,
  /* 35 */ "a hexahedron" , 18, 5, 0,
  /* 36 */ "a ceramic coil" , 19, 5, 0,
  /* 37 */ "plasma" , 20, 3, 0,
  /* 38 */ "a 4-D solid" , 0, 1, 0,
  /* 39 */ "some 4-D liquid" , 0, 3, 0,
  /* 40 */ "a singularity" , 0, 5, 0,
  /* 41 */ "an image disk" , 29, 5, 0,
  /* 42 */ "a supposition" , 24, 5, 0,
  /* 43 */ "an hypothesis" , 28, 5, 0,
  /* 44 */ "a lemma" , 0, 5, 0,
  /* 45 */ "a theorem" , 0, 5, 0,
  /* 46 */ "an axiom" , 27, 5, 0,
  /* 47 */ "a postulate" , 23, 5, 0,
  /* 48 */ "a meditating mathematician" , 26, 4, 0,
  /* 49 */ "a crystal tetrahedron", 0, 5, 0,
  /* 50 */ "a non-differentiable function", 14, 5, 0,
  /* 51 */ "an idea", 0, 5, 0,
  /* 52 */ "a contradiction" , 0, 5, 0,
  /* 53 */ "a warranty" , 29, 5, 0
};

/*----------------------------*/
/* vocabulary
*/
vocab_type v_noun [] =          /* start w/blank string, end w/null string */
{
  "    " , 0,
  "n   " , 1 ,  "nort" , 1 ,
  "e   " , 2 ,  "east" , 2 ,
  "s   " , 3 ,  "sout" , 3 ,
  "w   " , 4 ,  "west" , 4 ,
  "i   " , 5 ,  "inve" , 5 ,  "inv " , 5 ,  "all ", 5 ,
  "refl" , 6 ,  "mirr" , 6 ,
  "crt " , 7 ,  "scre" , 7 ,  "tube" , 7 ,
  "plan" , 8 ,  "bein" , 8 ,  "alie" , 8 ,
  "grou" , 9 ,
  "hole" , 10 ,
  "proj" , 11 ,
  "butt" , 12 ,
  "zero" , 13 ,  "0   " , 13 ,
  "one " , 14 ,  "1   " , 14 ,
  "two " , 15 ,  "2   " , 15 ,
  "thre" , 16 ,  "3   " , 16 ,
  "four" , 17 ,  "4   " , 17 ,
  "frac" , 18 ,
  "chao" , 19 ,
  "dust" , 20 ,  "fato" , 20 ,
  "snow" , 21 ,  "flak" , 21 ,  "koch" , 21 ,
  "moun" , 22 ,  "mt  " , 22 ,  "mand" , 22 ,
  "tomb" , 23 ,  "epit" , 23 ,
  "stac" , 24 ,  "key " , 24 ,
  "audi" , 25 ,  "tran" , 25 ,  "earp" , 25 ,
  "book" , 26 ,  "adve" , 26 ,
  "pill" , 27 ,  "z-pi" , 27 ,  "z   " , 27 ,
  "pool" , 28 ,  "flui" , 28 ,
  "klei" , 29 ,  "bott" , 29 ,
  "pris" , 30 ,
  "_y_ " , 31 ,  "appa" , 31 ,  "y   " , 31 ,
  "impr" , 32 ,  "hear" , 32 ,  "gold" , 32 ,
  "mobi" , 33 ,  "stri" , 33 ,  "moeb" , 33 ,
  "riem" , 34 ,  "zeta" , 34 ,  "inte" , 34 ,
  "hexa" , 35 ,  "cube" , 35 ,  "die " , 35 ,  "dice" , 35 ,
  "coil" , 36 ,  "cera" , 36 ,  "loop" , 36 ,
  "plas" , 37 ,
  "soli" , 38 ,  "tess" , 38 ,
  "liqu" , 39 ,
  "sing" , 40 ,  "band" , 40 ,  "filt" , 40 ,
  "disk" , 41 ,  "disc" , 41 ,
  "supp" , 42 ,
  "hypo" , 43 ,
  "lemm" , 44 ,
  "theo" , 45 ,
  "axio" , 46 ,
  "post" , 47 ,  "prof" , 47 ,
  "math" , 48 ,
  "crys" , 49 ,  "tetr" , 49 ,  "pyra" , 49,
  "func" , 50 ,
  "idea" , 51 ,
  "cont" , 52 ,
  "warr" , 53 ,  "guar" , 53 ,
  "",0
};

vocab_type v_verb[] =
{
  "    " , 0 ,
  "nort" , 1 ,  "n   " ,  1 ,
  "east" , 2 ,  "e   " ,  2 ,
  "sout" , 3 ,  "s   " ,  3 ,
  "west" , 4 ,  "w   " ,  4 ,
  "inve" , 5 ,  "i   " ,  5 ,
  "go  " , 6 ,
  "get " , 7 ,  "take" ,  7 ,  "grab" , 7 ,  "g   " , 7 ,
  "drop" , 8 ,  "leav" ,  8 ,
  "thro" , 9 ,  "toss" ,  9 ,
  "brea" , 10 ,  "hit " , 10 ,  "kill" , 10 ,  "figh" , 10 ,  "kick" , 10 ,
                 "atta" , 10 ,
  "look" , 11 ,  "exam" , 11 ,  "l   " , 11 ,
  "read" , 12 ,
  "use " , 13 ,  "util" , 13 ,  "appl" , 13 ,
  "touc" , 14 ,  "feel" , 14 ,
  "swin" , 15 ,  "wave" , 15 ,  "shak" , 15 ,
  "rub " , 16 ,  "pres" , 17 ,  "push" , 17 ,
  "pop " , 18 ,
  "spin" , 19 ,  "turn" , 19 ,  "rota" , 19 ,  "twis" , 19 ,  "flip" , 19 ,
  "roll" , 20 ,
  "wear" , 21 ,
  "eat " , 22 ,  "swal" , 22 ,
  "tast" , 23 ,
  "drin" , 24 ,
  "remo" , 25 ,
  "wate" , 26 ,  "wet " , 26 ,  "wash" , 26 ,  "hydr" , 26 ,
  "fill" , 27 ,
  "pour" , 28 ,  "empt" , 28 ,
  "free" , 29 ,  "cool" , 29 ,
  "melt" , 30 ,
  "play" , 31 ,  "star" , 31 ,
  "inse" , 32 ,  "put " , 32 ,
  "_y_ " , 33 ,  "y   " , 33 ,
  "prov" , 34 ,  "veri" , 34 ,  "deve" , 34 ,
  "fix " , 35 ,  "repa" , 35 ,
  "smel" , 36 ,
  "clos" , 37 ,
  "open" , 38 ,
  "stop" , 39 ,
  "say " , 40 ,  "spea" , 40 ,
  "quit" , 41 ,
  "help" , 42 ,
  "list" , 43 ,  "hear" , 43 ,
  "save" , 44 ,
  "load" , 45 ,
  "scor" , 46 ,
  "slee" , 47 ,  "drea" , 47 ,
  "wake" , 48 ,
  "give" , 49 ,
  "scan" , 50 ,  "sc  " , 50 ,
  "eval" , 51 ,  "solv" , 51 ,  "diff" , 51 ,
  "thin" , 52 ,  "pond" , 52 ,  "medi" , 52 ,
  "burn" , 53 ,  "igni" , 53 ,  "heat" , 53 ,
  "evap" , 54 ,  "vapo" , 54 ,
  "clim" , 55 ,
  "cut " , 56 ,  "slic" , 56 ,  "stab" , 56 ,
  "join" , 57 ,
  "sing" , 58 ,
  "" , 0
};

int
  num_verbs = sizeof( v_verb ) / sizeof( vocab_type ),
  num_nouns = sizeof( v_noun ) / sizeof( vocab_type ),

  NumLocs = MaxLocs,
  NumObjs = MaxObjs,
  NumDirs = 4;        /* use N E S W; Up Down not used */

